Get subscription by id
Returns the specified subscription.
Request
POST
https://api.datalens.tech/rpc/getSubscription
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"subscriptionId": "7lieexzx4kxs0"
}
|
Name |
Description |
|
subscriptionId |
Type: string Min length: Pattern: Example: |
Responses
200 OK
Response
Body
application/json
{
"title": "example",
"description": "example",
"content": {
"type": "example",
"entryId": "example",
"options": {}
},
"trigger": {
"type": "example",
"entryId": "example",
"options": {}
},
"artifact": {
"type": "example",
"options": {}
},
"recipients": [
{
"subjectId": "example",
"subjectType": "userAccount"
}
],
"selfSubscribeEnabled": true,
"status": "active",
"tenantId": "example",
"workbookId": "example",
"meta": {},
"subscriptionId": "example",
"createdAt": "example",
"updatedAt": "example",
"suspendedAt": "example",
"createdBy": "example",
"updatedBy": "example"
}
|
Name |
Description |
||||||||
|
artifact |
Type: object
Example
|
||||||||
|
content |
Type: object
Example
|
||||||||
|
createdAt |
Type: string Example: |
||||||||
|
createdBy |
Type: string Example: |
||||||||
|
meta |
Type: object
Example
|
||||||||
|
recipients |
Type: SubscriptionRecipient[] Example
|
||||||||
|
selfSubscribeEnabled |
Type: boolean |
||||||||
|
status |
Type: string Enum: |
||||||||
|
subscriptionId |
Type: string Example: |
||||||||
|
suspendedAt |
Type: string | null Example: |
||||||||
|
tenantId |
Type: string Example: |
||||||||
|
title |
Type: string Example: |
||||||||
|
trigger |
Type: object
Example
|
||||||||
|
updatedAt |
Type: string Example: |
||||||||
|
updatedBy |
Type: string Example: |
||||||||
|
workbookId |
Type: string Example: |
||||||||
|
description |
Type: string | null Example: |
SubscriptionRecipient
|
Name |
Description |
|
subjectId |
Type: string ID of the recipient user account. Example: |
|
subjectType |
Type: string Recipient subject type. Only user accounts are supported. Const: Example: |
Example
{
"subjectId": "example",
"subjectType": "userAccount"
}